> ## Documentation Index
> Fetch the complete documentation index at: https://docs.caminotreasury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Recipient



## OpenAPI

````yaml /api-reference/openapi.json delete /recipients/{id}
openapi: 3.1.0
info:
  title: Camino Treasury API
  description: >-
    API for managing treasury wallets, tracking transfers (on-chain and fiat) in
    a unified feed, depositing into C0, withdrawing to wallets, and claiming
    yield distributions.
  version: 1.0.0
servers:
  - url: https://api.caminotreasury.com/v1
security:
  - apiKeyAuth: []
paths:
  /recipients/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: integer
          minimum: 1
        description: Recipient id.
    delete:
      tags:
        - Recipients
      summary: Delete Recipient
      operationId: deleteRecipient
      responses:
        '204':
          description: Recipient deleted
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  responses:
    BadRequest:
      description: Bad Request - Invalid input
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized - Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found - Resource does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimited:
      description: Too Many Requests - Rate limit exceeded. Check the `Retry-After` header.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
        details:
          type: object
          description: Optional validation details
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Pass your key in the `x-api-key` header.

````